Subject: bug#44617: 26.3; diff-mode ignores diff-switches

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 14:51:08 +0100

Francesco Potortì <[email-masked]> writes:

>>What's the use case you have for diff-switches where you'd want this
>>command to heed diff-switches?
>
> I have two use cases.
>
> 1) When using dired-diff (hit = in a dired buffer) diff-switches is not used.
>
> 2) Same is when using vc-diff (C-x v =) in a VC buffer.
>
> Apparently case 2) is a bug, because the docs of vc-diff-switches says
> that diff-switches should be used.  Case 1) could simply be unexpected
> behaviour.

I 1), diff-switches is always used, so I can't reproduce that problem at
all -- changing diff-switches and using the `=' command reflects the
changed switches.  Do you have that command rebound, by any chance?

As for 2), `diff-switches' is indeed used, but only when `vc-diff-switches'
is nil, as the doc string says:

--
When running diff under a given BACKEND, VC uses the first
non-nil value of ‘vc-BACKEND-diff-switches’, ‘vc-diff-switches’,
and ‘diff-switches’, in that order. 
--

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no